[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.ItemIndex

Index - the number of the currently selected item (starting at zero)

## Declaration

Source position: stdctrls.pp line 394

`public property TCustomComboBox.ItemIndex: Integer read GetItemIndex write SetItemIndex default -1;`

## Description

Index - the number of the currently selected item

The first item has number 0, the second has number 1, the third number 2, etc.

In case no item is selected, ItemIndex has value -1.

## See also

TCustomComboBox |  | TCustomComboBox - the base class from which TComboBox is derived
TCustomComboBox.Items |  | Items - an array of strings that holds the entries of the drop-down list

The latest version of this document can be found at lazarus-ccr.sourceforge.net.